---
layout: docs
page_title: "COMMAND_NAME - Vault CLI"
description: >-
  DESCRIPTION
---

# `COMMAND_NAME`

TLDR_SUMMARY

<CodeBlockConfig hideClipboard>

```shell-session
$ vault COMMAND_NAME SYNTAX_STRING

$ vault COMMAND_NAME [-help | -h]
```

</CodeBlockConfig>

## Description

`COMMAND_NAME` does a thing.... (full description here)

<Tip title="Related API endpoints">

  ENDPOINT_NAME - [`HTTP_VERB:ENDPOINT_PATH`](API_DOC_URL)

</Tip>

### Limitations and warnings (omit if not needed)

List and explicit limitations/warning users should be aware of with the command


## Command arguments

None.

-- OR --

@include 'PATH_TO_ARGUMENT_PARTIAL_1'

<br /><hr /><br />

@include 'PATH_TO_ARGUMENT_PARTIAL_2'

<br /><hr /><br />

@include 'PATH_TO_ARGUMENT_PARTIAL_N'



## Command options

None.

-- OR --

@include 'PATH_TO_OPTION_PARTIAL_1'

<br /><hr /><br />

@include 'PATH_TO_OPTION_PARTIAL_1'

<br /><hr /><br />

@include 'PATH_TO_OPTION_PARTIAL_1'


## Command flags

None.

-- OR --

@include 'PATH_TO_FLAG_PARTIAL_1'

<br /><hr /><br />

@include 'PATH_TO_FLAG_PARTIAL_2'

<br /><hr /><br />

@include 'PATH_TO_FLAG_PARTIAL_N'



## Global flags

<br />

@include 'cli/standard-settings/all-standard-flags-but-format.mdx'

- OR -

@include 'cli/standard-settings/all-standard-flags-but-format.mdx'



## Examples

LIST_OF_USEFUL_EXAMPLES